section {
  padding-bottom: 50px;
}

.hero-box .box img {
  width: 700px;
  padding-top: 0px;
}

.hero-box .box p {
  width: 500px;
}

.hero-box .box:first-child {
  margin-top: -150px; /* angka negatif untuk naikkan posisi */
}
.hero-box .box:nth-child(1) {
  --animate-delay: 0.5s;
}

.hero .box:last-child {
  margin-top: -50px;
}

/* Wrapper untuk static + dynamic text */
.wrapper {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

/* Static Text */
.static-txt p {
  font-size: 40px;
  color: #333;
  margin: 0;
}

.static-txt h1 {
  font-size: 40px;
  font-weight: 700;
  margin: 0;
}

/* Dynamic Text Container */
.dynamic-txts {
  margin-left: -30px;
  height: 50px; /* tinggi animasi teks */
  overflow: hidden;
  position: relative;
}

/* Dynamic Text List */
.dynamic-txts li {
  list-style: none;
  font-size: 24px;
  font-weight: 600;
  color: #007bff; /* warna biru */
  height: 50px;
  line-height: 50px;
  position: relative;
  top: 0;
  animation: slide 9s steps(3) infinite;
}

/* Animasi slide */
@keyframes slide {
  100% {
    top: -150px; /* -50px * jumlah item */
  }
}

/* Styling span untuk animasi typing */
.dynamic-txts li span {
  position: relative;
  display: inline-block;
}

/* Efek kursor blinking dan border */
.dynamic-txts li span::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: #fff;
  border-left: 2px solid #007bff;
  animation: typing 3s steps(10) infinite;
}

/* Animasi typing */
@keyframes typing {
  40%,
  60% {
    left: calc(100% + 30px);
  }
  100% {
    left: 0;
  }
}

/* Responsive Fixes */
@media (max-width: 992px) {
  .hero {
    padding-top: 20px;
  }
  .hero-box .box p {
    width: 100%;
  }
  .hero-box .box:first-child {
    margin-top: 50px; /* angka negatif untuk naikkan posisi */
  }
  .hero-box .box img {
    width: 500px;
    padding-top: 0px;
  }
}

@media (max-width: 768px) {
  .hero {
    padding-top: 0px;
  }
  .hero-box {
    text-align: center;
  }
  .hero-box .box p {
    width: 100%;
  }
  .hero-box .box:first-child {
    margin-top: 0px; /* angka negatif untuk naikkan posisi */
  }
}

/* services */
.services-box .service i {
  font-size: 40px;
}

/* footer */
.footer {
  height: auto;
  padding-top: 20px;
  padding-bottom: 20px;
}
.contact .contact-box {
  padding-top: auto;
  padding-bottom: 100px;
}
.contact .contact-box i {
  font-size: 40px;
}
.contact .contact-box a {
  font-size: 30px;
  color: brown;
  height: auto;
}

.copyright {
  margin-top: -15px;
}
